<?php
include_once("c_esmo_magnit_instruction_card.php");
class c_page_cab_esmo_magnit_instruction_card_doc extends c_page_cab_esmo_magnit_instruction_card
{
  var $doc_id ;
  function second_menu_config() {}

 function block_main()
 { $arr=explode('/',_CUR_PAGE_DIR) ;
   if ((int)$arr[6]) $this->doc_id=(int)$arr[6] ;
   if ($this->doc_id) $this->rec_doc=DOCS()->get_doc_by_id($this->doc_id) ;

   if ($this->rec_doc['pkey'])
   { $options=array() ;
     $options['after_delete_doc_go_url']='/window/esmo_magnit_instruction/card/'.$this->rec_event['pkey'].'/report/' ;
     $options['after_sign_doc_go_url']='/window/esmo_magnit_instruction/card/'.$this->rec_event['pkey'].'/doc/'.$this->rec_doc['pkey'].'/' ;
     $options['doc_sign_page']='/window/esmo_magnit_instruction/card/'.$this->rec_event['pkey'].'/doc/'.$this->rec_doc['pkey'].'/sign/' ;
     $options['sign_before_print']=1 ;
     $this->panel_doc_view($options) ;
   }
 }


}



?>